/* 
 * Copyright (C) 2000 the xine project
 * 
 * This file is part of xine, a unix video player.
 * 
 * xine is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * xine is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * $Id: gui_slider.h,v 1.1 2000/09/27 00:23:27 guenter Exp $
 *
 */

#ifndef HAVE_GUI_SLIDER_H
#define HAVE_GUI_SLIDER_H

#include "gui_main.h"
#include "gui_widget.h"

widget_t *create_slider(int x, int y, int w, int h, void* f, int max, int step, const char bg[], const char paddle[]) ;

void slider_set_pos(widget_t *b, int pos);
int slider_get_pos(widget_t *b);
void slider_set_min(widget_t *b);
void slider_make_step(widget_t *b);

typedef struct slider_private_data_s {
  int   bClicked;
  int   bArmed;
  int 	pos;
  int   max;
  int   step;
  //int   min;  needed ?
  void *paddle;
  void *bg;
} slider_private_data_t;

#endif
